Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.wave
Class DataChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.wave.DataChunk

    public class DataChunk

extends Chunk

Implementation of the WAVE Data Chunk. Data Chunks may occur either at the top level (i.e., under the RIFF chunk) or under a data list chunk. There can be only one top-level Data Chunk.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`DataChunk(ModuleBase module, ChunkHeader hdr, java.io.DataInputStream dstrm)` Constructor.

Method Summary
`boolean` | `readChunk(RepInfo info)` Reads a chunk and puts a Data property into the RepInfo object.

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataChunk

    public DataChunk(ModuleBase module,
                     ChunkHeader hdr,
                     java.io.DataInputStream dstrm)

  Constructor.

  Parameters:
    `module` - The WaveModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the WAVE data are being read

Method Detail

### readChunk

    public boolean readChunk(RepInfo info)
                      throws java.io.IOException

  Reads a chunk and puts a Data property into the RepInfo object.

  Specified by:
    `readChunk` in class `Chunk`
  Parameters:
    `info` - RepInfo object to receive information
  Returns:
    `false` if the chunk is structurally invalid, otherwise `true`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD